﻿using System.Data;
using System.Windows.Forms;

namespace C1ComboGetSelectedItem
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            c1Combo1.DataSource = GetDataTable();
            c1Combo1.ValueMember = "Id";
            c1Combo1.DisplayMember = "Description";

            c1Combo1.FocusedSplit.DisplayColumns[0].Visible = false;
            c1Combo1.ExtendRightColumn = true;
            c1Combo1.ColumnHeaders = false;
        }

        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Description", typeof(string));

            for (int i = 1; i < 10; i++)
            {
                dt.Rows.Add(i, $"Description {i}");
            }

            return dt;
        }

        private void button1_Click(object sender, System.EventArgs e)
        {
            MessageBox.Show(c1Combo1.SelectedValue?.ToString());
        }
    }
}